跳轉到主要內容
GET
/
tracking
/
{id}
取得貨件追蹤
curl --request GET \
  --url https://api.flexforward.com/tracking/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "trackingNumber": "YT2503010001CN",
  "tag": "InTransit",
  "subtag": "InTransit_001",
  "subtagMessage": "In transit",
  "slug": "yunexpress",
  "checkpoints": [
    {
      "checkpointTime": "2025-03-02T10:30:00.000Z",
      "city": "Shenzhen",
      "state": "Guangdong",
      "countryRegion": "CN",
      "location": null,
      "message": "Shipment departed from sorting center",
      "tag": "InTransit",
      "subtag": "InTransit_001",
      "subtagMessage": "In transit",
      "slug": "yunexpress"
    },
    {
      "checkpointTime": "2025-03-01T14:00:00.000Z",
      "city": "Shenzhen",
      "state": "Guangdong",
      "countryRegion": "CN",
      "location": null,
      "message": "Shipment received at origin facility",
      "tag": "InTransit",
      "subtag": "InTransit_001",
      "subtagMessage": "In transit",
      "slug": "yunexpress"
    }
  ]
}

授權

Authorization
string
header
必填

建置時由 Flex Forward 團隊發放的 API 存取令牌。

路徑參數

id
string<uuid>
必填

由建立標籤端點傳回的標籤 ID。

回應

成功取得追蹤資訊。

id
string<uuid>
必填

標籤識別碼。

範例:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

trackingNumber
string | null
必填

物流業者指派的追蹤編號,尚未取得時為 null

範例:

"YT2503010001CN"

tag
string
必填

高階追蹤狀態。可能的值: PendingInfoReceivedInTransitDeliveredExceptionCancelledUnknown

範例:

"InTransit"

subtag
string
必填

詳細狀態子標籤。

範例:

"InTransit_001"

subtagMessage
string
必填

人類可讀的子標籤描述。

範例:

"In transit"

slug
string
必填

物流業者代碼。

範例:

"yunexpress"

checkpoints
object[]
必填